GET
List total balances
Returns total balances by asset across all wallets in an enterprise.
Query Params
-
allTokensbooleanInclude balances for all subtokens (i.e. ERC20 Tokens, Stellar Tokens) -
coinstring or array of stringsFilter by coin -
deletedbooleanFilter by deleted state -
enterprisestring or array of stringsFilter by enterprise ID -
excludeEmptyBalancesbooleanExclude tokens with zero balance. When allTokens is passed, then every token supported by BitGo will be included, regardless of balance. -
excludeSpendableBalancesbooleanSkip spendable balance calculations and only include confirmed balances. If absent, defaults to false. -
expandCustodialWalletbooleanWhether balances of linked custodial wallets should be included -
idstring or array of stringsFilter by wallet ID -
includeEvmKeyringbooleanIf true and wallet ID(s) are provided, include all wallets in the same EVM keyring family (parent + all children) -
includeStakingBalancesbooleanIncludestakingBalanceStringandrewardBalanceStringproperties for each staking wallet. -
labelContainsstringFilter by label substring -
skipPendingTxsbooleanDo not include pending withdrawals when determining total balances. By default, pending withdrawals will be considered. -
skipTxCountsbooleanTrue, if excluding transfer counts when calculating total balances. If absent, defaults to false. -
typestring or array of stringsFilter by wallet typeONE OF
string enumarray of string enums
Responses
200
OK
Response Body
object
-
balancesarray of objects requiredbalances object
-
coinstring requiredA cryptocurrency or token ticker symbol. -
balanceStringstring requiredString representation of the balance in base units. Guaranteed to not lose precision. -
confirmedBalanceStringstring requiredString representation of the confirmed balance in base units. Guaranteed to not lose precision. -
spendableBalanceStringstringString representation of the spendable in base units. Guaranteed to not lose precision. Will not be included ifexcludeSpendableBalances=false -
stakingBalanceStringstringThe staked balance in base units. Guaranteed to not lose precision. The is only returned if theincludeStakingBalancesquery parameter is set totrue. -
rewardBalanceStringstringThe staking reward balance in base units. Guaranteed to not lose precision. The is only returned if theincludeStakingBalancesquery parameter is set totrue. -
withdrawHoldAmountUsdStringstringTotal USD value (in cents) of active ACH-deposit related withdraw holds on this wallet. Only present for OFC wallets whenallTokens=trueis passed. -
offchainobjectLightning Balancesoffchain object
-
inboundBalancestring requiredInbound balance in millisatoshis (remote balance) -
inboundPendingBalancestring requiredPending inbound balance in millisatoshis (pending open remote balance) -
inboundUnsettledBalancestring requiredUnsettled inbound balance in millisatoshis (unsettled remote balance) -
outboundBalancestring requiredOutbound balance in millisatoshis (local balance) -
outboundPendingBalancestring requiredPending outbound balance in millisatoshis (pending open local balance) -
outboundUnsettledBalancestring requiredUnsettled outbound balance in millisatoshis (unsettled local balance) -
outboundLockedBalancestring requiredLocked (from pending force closed channels) outbound balance in millisatoshis (locked local balance) -
outboundReservedBalancestring requiredTotal outbound reserved balance in millisatoshis (reserved local balance) -
outboundSpendableBalancestring requiredTotal outbound spendable balance in millisatoshis (spendable local balance)
-
-
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
401
Unauthorized
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id